# Chaos Poppycars Cards (CPC)
-------------------------------
This is a BepInEx compatible mod for ROUNDS that adds a few cards to the game.

Thank you to everyone in the ROUNDS modding community, who helped me, especially Pykess, HatchetDaddy, Root and Willuwontu.

## Easy Installation Instructions
---------------------------------

Download [r2modman](https://rounds.thunderstore.io/package/ebkr/r2modman/), set up a Rounds profile, and add `ChaosPoppycarsCards` to the profile. All dependencies will be automatically installed. Just click `Start Modded` to start playing!

## Cards Added
-------------

### Curses

---------------

#### Too Fast

-you go just a little too fast

#### Confusion Block

-How do you walk again?

#### Nerf gun

-You replaced your real gun with this toy

#### Anarkey

-Total Anarkey

### Basic/ Unique Cards

---------------

#### x-1

-times some stats by -1

#### Sugared

-adds 300% movespeed, 1/2's health

#### GETAWAY

- adds types of speed once below 50% hp

#### Duplicator

- doubles projectiles, -25% dmg, adds some spread

#### Double Duplicator

- quadruples projectiles, halfs damage, adds some spread

#### Poppys Chaos 

- changes every update

#### Activated Duplicator

- Doubles projectiles for a bit after blocking

#### Bouncy Gel

- Triples bounces for a bit after blocking

#### Wormhole Clip

- Gives instant reload

#### Dr.Pepper

- Gives inscreased gun stats on block

#### Pepsi

- Gives inscreased player stats on block

#### Coca-Cola

- Gives inscreased player stats on block

#### Sprite

- Gives inscreased lifesteal and you become smaller on block

#### MountainDew

- Gives inscreased movement speed, jump height, and you become bigger on block

#### Bouncy Bombs

- Your bullets turn into bouncy bombs that go faster and get a bit weaker after every bounce

#### Light saber 

- Replace your gun with a light saber (Legendary :0)

#### Ammo chest

-Gives quite a bit of ammo, increases reload speed (takes longer to reload)

#### Icy Springs

-Your bullets are now frozen springs and freeze launch your opponents

#### Biting Bullets

-Your bullets bite away a small percentage of your opponents health

#### Balloon Bullets

-Your bullets are now inflated like balloons, making them larger but they do less damage

#### Geese Swarm

-Unleash the geese onto your opponents

#### Goose

-Honk

#### Whynack

-Just one more bottle


### Speedster Cards

---------------

#### Speedster

-SPEEEEEEEED IS KEEEEEEEEEEY (class entry)

#### Air Hops

-Your fast enough that you can jump mid air a few times

#### Leg Day

-You trained hard on leg day, you now move faster

#### Momentum Shots

-Your speed adds power into your bullets, they now become stronger if you move in the same direction you shoot them

#### Speedsters Gun

-You adjusted your gun now your bullets will inherit your momentum

#### Speedy Hands

-Your hands become faster as you get faster letting you reload quicker

#### Stretches

-You stretched your legs a little, you move a little faster

#### Swifter

-You skipped arm day and trained your legs like a absolute gigachad, you now move faster

#### Tricky

-The speed god blessith, not all can contain his power (legendary)

#### Trigger Finger

-Your fingers get faster as you do, letting you shoot faster


### Minecraft Class Cards

---------------

#### Crafting Table

-Unlocks the minecraft cards (class entry)

#### Brewing Stand

-Unlocks the potion cards (subclass)

#### Speed Potion

-On block gives movement, reload, and attack speed for 5 seconds

#### Invisibility Potion

-On block makes player and bullets invisible for 5 seconds

#### Strength Potion

-On block gives damage for 5 seconds

#### Regeneration Potion

-On block gives regen for 3.5 seconds

#### Jump Potion

-On block gives jump height and lowers gravity for 5 seconds

#### Ultimate Potion

-On block gives all potion effects

#### Wooden Sword

-Gives some damage

#### Stone Sword

-Gives some damage

#### Iron Sword

-Gives More than some damage

#### Golden Sword

-Gives some attack speed, removes some damage

#### Diamond Sword

-Doubles damage

#### Netherite Sword

-Gives a lot of damage and some attack speed

#### Wooden Axe

-Gives quite a bit of damage, reduces attack speed

#### Stone Axe

-Gives quite a bit of damage, reduces attack speed

#### Iron Axe

-Gives quite a bit of damage, reduces attack speed

#### Gold Axe

-Gives  a bit of damage and attack speed

#### Diamond Axe

-Gives quite a bit of damage, reduces attack speed

#### Netherite Axe

-Gives quite a bit of damage, reduces attack speed

#### Minecraft Bow

-Adds 1 projectile, makes bullets slower, adds some spread, unlocks the archery subclass (subclass)

#### Minecraft Shield

-Adds 1 block, makes your attack speed lower

#### Leather Armor

-Gives some Health 

#### Chain Armor

-Gives some Health, Decreases jump height

#### Iron Armor

-Gives some Health, Decreases jump height

#### Gold Armor

-Gives some move speed 

#### Diamond Armor

-Gives some Health, Decreases jump height 

#### Netherite Armor

-Gives some Health, Decreases jump height 

#### Totem Of Undying

-Gives a respawn, reduces move speed

#### Wooden Hoe

-adds attack speed

#### Stone Hoe

-adds attack speed

#### Gold Hoe

-adds attack speed and reload speed

#### Iron Hoe

-adds attack speed

#### Diamond Hoe

-adds attack speed

#### Netherite Hoe

-adds attack speed and reload speed

#### Arrow

-adds a arrow and some spread

#### Slimy Arrow

-adds a arrow, some spread, and some bounces

#### TNT Arrow

-adds a arrow, some spread, and attaches TNT to your arrows

#### Poison Tipped Arrow

-adds a arrow, some spread, and tips your arrows in poison

#### Toxic Arrow

-adds a arrow, some spread, and attaches a toxic bomb to your arrows

#### Flame

-enchants your bow with flame, now they are on fire

#### Punch II

-enchants your bow with punch II, now they will push away enemys

### Version Notes

-----------------


### v0.7.4

-------------

	-Small fix



### v0.7.3

-------------

	-Makes geese swarm unblacklist goose for your opponents, makes geese swarm a scarce, nerfs geese swarm's stats a bit
	-Buffs goose's stats a bit, makes goose a little less common


### v0.7.2

-------------

	-Adds the Anarkey curse


### v0.7.1

-------------

	-Adds Whynack


### v0.7.0

-------------

	-Adds geese swarm and goose, buffs sodas


### v0.6.9

-------------

	-Changes the art of most of the cards that used to have solid backgrounds


### v0.6.8

-------------

	-Adds 3 new cards, Biting Bullets, Icy Springs, & Balloon Bullets (pre-packaged with art)



### v0.6.7

-------------

	-Changes Momentum shots and Speedsters gun so they take affect if your moving and how fast your moving (THANK YOU WILLU)
	-Re-enables Poppyschaos :D


### v0.6.6

-------------

	-Changes some card art, makes Air Hops stronger


### v0.6.5

-------------

	-Adds card art for the curses


### v0.6.4

-------------

	-Adds card art to speedster, adds a new card theme "evergreen" for speedster


### v0.6.3

-------------

	-New class (Speedster) with 9 class cards (not including the entry card)
	-Buffs Lightsaber a little
	-Removes the thruster effect from bouncy bombs
	


### v0.6.2

-------------

	-Nerfs Lightsaber


### v0.6.1

-------------

	-Makes the curses actually work
	-Nerfs armor, axes, and swords
	-Adds a new curse (nerf gun)
	-Makes x-1 a rare



### v0.6.0

-------------

	-Makes crafting table a uncommon
	-Buffs soda cards
	-Other backend changes



### v0.5.9

-------------

	-Re enables lightsaber
	-Removes too fasts art and increased the amount of speed it gives
	-Adds confusion block


### v0.5.8

-------------

	-Actualy builds the new cards (facepalm)


### v0.5.7

-------------

	-Adds a curse (currently the same art as sugared)
	-Buffs the soda cards, bouncy bombs (also has a thruster effect now), and regen potion
	-Adds a new Archer card (Punch II)
	-Nerfs most of the arrow cards
	-Makes toxic bomb arrows a legendary (rejoice toxic cloud haters)
	-Buffs the poison tipped arrows
	-Changes some code stuff (the add method is better)


### v0.5.6

-------------

	-Adds the archery subclass
	-Adds Arrow, Flame, Slimy Arrow, TNT Arrow, Poison Tipped Arrow, and Toxic Arrow


### v0.5.5

-------------

	-Fixes the crafting system to be better and work with card removal
	-DISABLES LIGHTSABER


### v0.5.0 - 0.5.4

-------------

	-Adds the crafting system to the tools


### v0.4.9

-------------

	-Makes the tool tech tree use built in class systems


### v0.4.8

-------------

	-Small fix


### v0.4.6 - 0.4.7

-------------

	-Minecrafter class
	-Rarity lib dependency

### v0.4.5

-------------

	-Small fix


### v0.4.4

-------------

	-Adds light saber


### v0.4.3

-------------

	-Adds mountain dew, bouncy bombs
	-Fixes a small spelling mistake
	-Changes bouncy gel art


### v0.4.2

-------------

	-Makes some stuff much more clear, buffs sugared


### v0.4.1

-------------

	-Changes the Swords, Axes, Hoes, AND Armor so that they are all common, and in order to get higher rarietys you need the lower rarietys (wood / leather to get stone / chainmail, stone / chainmail to get iron, iron to get diamond, diamond to get netherite) this exlcudes the gold variations
	-Changes "*-1" to "x-1"
	-Changes Wormhole clip so that you can only get one
	-Changes the ultiamate potion so once its selected you cant get any other potion

### v0.4.0

-------------

	-Adds the Soda cards, and MC shield
	-Buffs duplicator and activated duplicator


### v0.3.8

-------------

	-Technical stuff including: 1. the on block effects will be reset between matches 2. regen pot is no longer frame dependent 3. *-1 can only be gotten once

### v0.3.7

-------------

	-Adds a new card, Wormhole Clip

### v0.3.6

-------------

	-Adds art to Invisiblility Potion as it wasnt there before

### v0.3.5

-------------

	-Adds art to ALL cards
	-Fixes more technical stuff (i.e. spelling errors)
	-Adds iron-netherite hoes
	-Disables speed bounces (non functioning, wasnt even supposed to be in the previous patch)

### v0.3.4

-------------

	-Removes poppys chaos
	-Buffs *-1
	-Nerfs regen pot, and axes
	-Changes some technical stuff (i.e. spelling errors)

### v0.3.3

-------------

	-Changes version number inside VS


### v0.3.2

-------------

-Changes
	
	-Fixes a spelling error in invis potion, buffs armor, removes the fliping of gravity from *-1, adds gold hoe, buffs netherite tools, organizes files on the github, buffs the armor cards


### v0.3.1

-------------

-Changes
	
	-Adds art to "GET OFF OF ME", Wooden hoe, and Stone hoe

### v0.3.0

-------------

-Changes
	
	-Changes changes a spelling error in totem, buffs armor


### v0.2.9

-------------

-Changes
	
	-Changes attack speed card into wooden hoe, fixes totem of undyings visual stats & description
	-Adds Stone Hoe

### v0.2.8

-------------

-Changes
	
	-Changes ultimate potion to add invis effect
	-Adds "*-1" "Totem of undying" and "invisability potion"

### v0.2.7

-------------

-Changes
	
	-Changes better balances the axes and potions


### v0.2.6

-------------

-Changes
	
	-Fixes the netherite axes rarity
	-Changes nerfs most of the axes to make you loose more attack speed

### v0.2.5

-------------

-Changes
	
	-Changes the block based cards now have visual indicators
	-Adds Stone-Netherite axe, Also adds art to all the axe cards

### v0.2.4

-------------

-Changes
	
	-Makes it so bouncy gel adds bounces then multiplys

### v0.2.3

-------------

-Changes
	
	-Adds bouncy gel

### v0.2.2

-------------

-Changes
	
	-Adds art to ultiamte potion and poppys chaos


### v0.2.1

-------------

-Changes
	
	-Adds ultiamte potion


### v0.2.0

-------------

-Changes
	
	-Adds card art to potions and minecraft bow

### v0.1.9

-------------

-Changes
	
	-Adds card art to armor cards
	-Changes armor cards to be combined, to stop the hands to be filled with health cards

### v0.1.8

-------------

-Changes
	
	-Adds card art to iron, gold, diamond and netherite sword
	-Changes leather and chainmail armor to give less hp

### v0.1.7

-------------

-Changes
	
	-Adds card art to wooden and stone sword



### v0.1.6

-------------

-Changes
	
	-Adds activated duplicator



### v0.1.5

-------------

-Changes
	
	-Adds Poppys chaos, regenration potion, and jump boost potion 

### v0.1.4

-------------

-Changes
	
	-Adds Leather, Chain, Iron, Gold, Diamond, And Netherite Armor (boots, leggings, chestplate, and helmet)


### v0.1.3

-------------

-Changes

	-Duplicator & Double Duplicator can only be taken once now


### v0.1.2

-------------

-Changes

	-Changes README, adds github

### v0.1.1

-------------

-Changes

	-Adds speed potion

### v0.1.0

-------------

-Changes

	-Adds Strength potion

### v0.0.9

-------------

-Changes

	-(i forgor)

### v0.0.8

-------------

-Changes
	
	-(i forgor)

#### v0.0.7

-------------

-Changes

	-(i forgor)

#### v0.0.6

-------------

-Changes
	
	-(i forgor)

#### v0.0.5

-------------

-Changes

	-(i forgor)


#### v0.0.3

-------------

-Changes

	-(i forgor)


#### v0.0.1

-------------

	-adds sugared

#### To-Do List

-------------

-Add Card art to all cards
-Add wooden-netherite pickaxe
-Add golden-netherite hoe
-Add a card that makes the player square, and probably other stuff
-Add 